Index: /code/branches/MouseAPI_FS19/data/levels/MouseAPIExample.oxw
===================================================================
--- /code/branches/MouseAPI_FS19/data/levels/MouseAPIExample.oxw	(revision 12301)
+++ /code/branches/MouseAPI_FS19/data/levels/MouseAPIExample.oxw	(revision 12302)
@@ -35,7 +35,10 @@
 	<Model position="0,0,0" mesh="cube.mesh" scale3D="10,10,10" /> 
     </attached> 
-    <collisionShapes> 
-	<BoxCollisionShape position="0,0,0" halfExtents="10,10,10" /> 
-    </collisionShapes>
+</MouseAPIExample>
+
+<MouseAPIExample position="100,100,0" direction="0,0,0">
+    <attached> 
+	<Model position="0,0,0" mesh="sphere.mesh" scale=10 /> 
+    </attached> 
 </MouseAPIExample>
  
Index: /code/branches/MouseAPI_FS19/src/modules/MouseAPI/mouseapi.cc
===================================================================
--- /code/branches/MouseAPI_FS19/src/modules/MouseAPI/mouseapi.cc	(revision 12301)
+++ /code/branches/MouseAPI_FS19/src/modules/MouseAPI/mouseapi.cc	(revision 12302)
@@ -127,9 +127,9 @@
 bool MouseAPI::changeRadiusOfClickableObject(ClickableObjectID id,float radius)
 {
-    for(auto event:clickEvents)
+    for(auto event = clickEvents.begin();event != clickEvents.end();event++ )
     {
-        if(event.id == id)
+        if(event->id == id)
         {
-            event.radius = radius;
+            event->radius = radius;
             return true;
         }
@@ -139,9 +139,9 @@
 bool MouseAPI::changeRadiusOfScrollableElement(ScrollableElementID id,float radius)
 {
-    for(auto event:scrollEvents)
+    for(auto event = scrollEvents.begin();event != scrollEvents.end();event++ )
     {
-        if(event.id == id)
+        if(event->id == id)
         {
-            event.radius = radius;
+            event->radius = radius;
             return true;
         }
@@ -174,3 +174,25 @@
 }
 
+float MouseAPI::getRadiusClick(ClickableObjectID id)
+{
+     for(auto eventIt = clickEvents.begin();eventIt != clickEvents.end();eventIt++ )
+     {
+         if(eventIt->id == id)
+         {
+             return eventIt->radius;
+         }
+     }
 }
+
+float MouseAPI::getRadiusScroll(ScrollableElementID id)
+{
+     for(auto eventIt = scrollEvents.begin();eventIt != scrollEvents.end();eventIt++ )
+     {
+         if(eventIt->id == id)
+         {
+             return eventIt->radius;
+         }
+     }
+}
+
+}
Index: /code/branches/MouseAPI_FS19/src/modules/MouseAPI/mouseapi.h
===================================================================
--- /code/branches/MouseAPI_FS19/src/modules/MouseAPI/mouseapi.h	(revision 12301)
+++ /code/branches/MouseAPI_FS19/src/modules/MouseAPI/mouseapi.h	(revision 12302)
@@ -84,4 +84,7 @@
     bool deleteScrollableElement(ScrollableElementID id);
 
+    float getRadiusClick(ClickableObjectID id);
+    float getRadiusScroll(ScrollableElementID id);
+
     void activate();
     static bool isActive(){return singletonPtr_s != nullptr && getInstance().active;}
Index: /code/branches/MouseAPI_FS19/src/modules/MouseAPI/mouseapiexample.cc
===================================================================
--- /code/branches/MouseAPI_FS19/src/modules/MouseAPI/mouseapiexample.cc	(revision 12301)
+++ /code/branches/MouseAPI_FS19/src/modules/MouseAPI/mouseapiexample.cc	(revision 12302)
@@ -19,15 +19,22 @@
     if(MouseAPI::isActive())
         MouseAPI::getInstance().deactivate();
-
 }
 
-void MouseAPIExample::testfunction(MouseButtonCode::ByEnum mouse)
+// change the size of the cube to a random number by clicking on it
+void MouseAPIExample::changesizeonclick(MouseButtonCode::ByEnum mouse)
 {
-    float randomnumber = (rand()%100 + 1)/20.0;
+    // generate random number between 1 and 20
+    float randomnumber = std::fmax((rand()%100 + 1)/20.0,1);
+    // change the scale of the cube to this random number
     this->setScale(randomnumber);
-    orxout() << "Blah\n";
-    //this->getGametype()->getPlayers().begin()->first->getControllableEntity()->mouseLook();//getCurrentCameraPosition()->setAllowMouseLook(false);
-    //this->getGametype()->getPlayers().begin()->first->stopControl();
+    // change the radius of the clickableObject to the new size
+    MouseAPI::getInstance().changeRadiusOfClickableObject(cubeid,randomnumber);
+}
 
+// change the size of the sphere by scrolling on it
+void MouseAPIExample::changesizeonscroll(int abs,int rel,const IntVector2& mousePos)
+{
+    // increase or decrease the size of the sphere
+    this->setScale(1+rel);
 }
 
@@ -35,8 +42,8 @@
 {
     SUPER(MouseAPIExample, XMLPort, xmlelement, mode);
+    //todo: id xml-port
     MouseAPI::getInstance().activate();
-    MouseAPI::getInstance().addClickableObject(this->getWorldPosition(),10,std::list<MouseButtonCode::ByEnum>{MouseButtonCode::Left},[this](MouseButtonCode::ByEnum mouse){this->testfunction(mouse);});
-    //this->getGametype()->getPlayers().begin()->first->getControllableEntity()->mouseLook();
-
+    cubeid = MouseAPI::getInstance().addClickableObject(this->getWorldPosition(),10,std::list<MouseButtonCode::ByEnum>{MouseButtonCode::Left},[this](MouseButtonCode::ByEnum mouse){this->changesizeonclick(mouse);});
+    //sphereid = MouseAPI::addScrollElement(this->getWorldPosition(), 10, [this](int abs, int rel, const IntVector2& mousePos){this->changesizeonscroll(abs,rel,mousePos);});
 
 }
Index: /code/branches/MouseAPI_FS19/src/modules/MouseAPI/mouseapiexample.h
===================================================================
--- /code/branches/MouseAPI_FS19/src/modules/MouseAPI/mouseapiexample.h	(revision 12301)
+++ /code/branches/MouseAPI_FS19/src/modules/MouseAPI/mouseapiexample.h	(revision 12302)
@@ -20,6 +20,9 @@
     ~MouseAPIExample();
     virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-    void testfunction(MouseButtonCode::ByEnum mouse);
+    void changesizeonclick(MouseButtonCode::ByEnum mouse);
+    void changesizeonscroll(int abs,int rel,const IntVector2& mousePos);
     static std::list<MouseAPIExample> blocks;
+    ClickableObjectID cubeid;
+    ScrollableElementID sphereid;
 };
 }