Index: /code/branches/3DPacman_FS19/src/modules/pacman/Pacman.cc
===================================================================
--- /code/branches/3DPacman_FS19/src/modules/pacman/Pacman.cc	(revision 12364)
+++ /code/branches/3DPacman_FS19/src/modules/pacman/Pacman.cc	(revision 12365)
@@ -87,4 +87,21 @@
         if(deathtime != 0){
             dead(dt);
+
+            if(point > 230){
+              
+                for(PacmanPointSphere* pointer : ObjectList<PacmanPointSphere>()){
+                     pointSpherePosition = pointer->getPosition();
+
+                     if(pointSpherePosition.y > 0){
+                        PacmanLaser* pos = ObjectList<PacmanLaser>(); //to do
+                        pos->setPosition(pointSpherePosition);
+                        break;
+                    }
+
+
+                }
+
+            }
+         
         }
 
@@ -94,5 +111,5 @@
             //Register ghosts
             int i = 0;
-            for(PacmanGhost* nextghost : ObjectList<PacmanGhost>()){
+            for(PacmanGhost* nextghost: ObjectList<PacmanGhost>()){
                 ghosts[i] = nextghost;
                 i++;
@@ -206,4 +223,5 @@
     void Pacman::takePoint(PacmanPointSphere* taken){
         ++point;
+        }
         if(point == totallevelpoint){ 
             this->levelUp();
Index: /code/branches/3DPacman_FS19/src/modules/pacman/Pacman.h
===================================================================
--- /code/branches/3DPacman_FS19/src/modules/pacman/Pacman.h	(revision 12364)
+++ /code/branches/3DPacman_FS19/src/modules/pacman/Pacman.h	(revision 12365)
@@ -40,5 +40,5 @@
 #include "PacmanPointSphere.h"
 #include "PacmanPointAfraid.h"
-
+#include "PacmanLaser.h"
 
 #include "core/EventIncludes.h"
Index: /code/branches/3DPacman_FS19/src/modules/pacman/PacmanLaser.cpp
===================================================================
--- /code/branches/3DPacman_FS19/src/modules/pacman/PacmanLaser.cpp	(revision 12365)
+++ /code/branches/3DPacman_FS19/src/modules/pacman/PacmanLaser.cpp	(revision 12365)
@@ -0,0 +1,51 @@
+#include "PacmanLaser.h"
+
+#include "core/CoreIncludes.h"
+#include "BulletDynamics/Dynamics/btRigidBody.h"
+
+namespace orxonox
+{
+    RegisterClass(PacmanLaser);
+
+    /**
+    @brief
+        Constructor. Registers the object and initializes some default values.
+    @param creator
+        The creator of this object.
+    */
+    PacmanLaser::PacmanLaser(Context* context) : ControllableEntity(context)
+    {
+        RegisterObject(PacmanPointSphere);
+        this->setCollisionType(CollisionType::None);
+    }
+
+    /**
+    @brief
+        Destructor. Destroys controller, if present.
+    */
+    PacmanLaser::~PacmanLaser()
+    {
+        // Deletes the controller if the object was initialized and the pointer to the controller is not NULL.
+    }
+
+    /**
+    @brief
+        Method for creating a AutonomousDrone through XML.
+    */
+    void PacmanPointSphere::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(PacmanPointSphere, XMLPort, xmlelement, mode);
+    }
+
+
+    void PacmanLaser::tick(float dt)
+    {
+        SUPER(PacmanPointSphere, tick, dt);
+    }
+
+    void PacmanLaser::resetPacmanLaser(){
+    	resetposition = this->getPosition();
+        resetposition.y = -50;
+        this->setPosition(resetposition);
+    }
+}
Index: /code/branches/3DPacman_FS19/src/modules/pacman/PacmanLaser.h
===================================================================
--- /code/branches/3DPacman_FS19/src/modules/pacman/PacmanLaser.h	(revision 12365)
+++ /code/branches/3DPacman_FS19/src/modules/pacman/PacmanLaser.h	(revision 12365)
@@ -0,0 +1,31 @@
+#ifndef _PacmanLaser_H__
+#define _PacmanLaser_H__
+
+#include "OrxonoxPrereqs.h"
+
+#include "core/XMLPort.h"
+
+#include "worldentities/ControllableEntity.h"
+
+namespace orxonox {
+
+    class _OrxonoxExport PacmanLaser : public ControllableEntity
+    {
+        public:
+            PacmanLaser(Context* context);
+            virtual ~PacmanLaser();
+
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating an AutonomousDrone through XML.
+            virtual void tick(float dt); //!< Defines which actions the AutonomousDrone has to take in each tick.
+
+            
+
+        private:
+            
+            Vector3 resetposition;
+    
+    };
+
+}
+
+#endif
Index: /code/branches/3DPacman_FS19/src/modules/pacman/PacmanPointSphere.cc
===================================================================
--- /code/branches/3DPacman_FS19/src/modules/pacman/PacmanPointSphere.cc	(revision 12364)
+++ /code/branches/3DPacman_FS19/src/modules/pacman/PacmanPointSphere.cc	(revision 12365)
@@ -82,4 +82,8 @@
       return false;
     }
+    bool showLaserPointSphere = false;
+
+
+    
 
     //Reset position