Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/CMakeLists.txt
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/CMakeLists.txt	(revision 12370)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/CMakeLists.txt	(revision 12371)
@@ -3,5 +3,4 @@
   OrxoBlox.cc
   OrxoBloxWall.cc
-  OrxoBloxBall.cc
   OrxoBloxCenterpoint.cc
   OrxoBloxStones.cc
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc	(revision 12370)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc	(revision 12371)
@@ -48,5 +48,4 @@
 
 #include "OrxoBloxCenterpoint.h"
-#include "OrxoBloxBall.h"
 #include "OrxoBloxStones.h"
 #include "OrxoBloxWall.h"
@@ -68,5 +67,5 @@
 
         this->center_ = nullptr;
-        this->ball_ = nullptr;
+        //this->ball_ = nullptr;
         this->futureWall_ = nullptr;
         this->player_ = nullptr;
@@ -77,5 +76,5 @@
 
         // Pre-set the timer, but don't start it yet.
-        this->starttimer_.setTimer(1.0, false, createExecutor(createFunctor(&OrxoBlox::startBall, this)));
+        this->starttimer_.setTimer(1.0, false, createExecutor(createFunctor(&OrxoBlox::LevelUp, this)));
         this->starttimer_.stopTimer();
 
@@ -100,9 +99,9 @@
     void OrxoBlox::cleanup()
     {
-        if (this->ball_ != nullptr) // Destroy the ball, if present.
-        {
-            this->ball_->destroy();
-            this->ball_ = nullptr;
-        }
+        //if (this->ball_ != nullptr) // Destroy the ball, if present.
+        //{
+        //    this->ball_->destroy();
+        //    this->ball_ = nullptr;
+        //}
 
         if (this->futureWall_ != nullptr)
@@ -135,18 +134,18 @@
         if (this->center_ != nullptr) // There needs to be a OrxoBloxCenterpoint, i.e. the area the game takes place.
         {
-            if (this->ball_ == nullptr) // If there is no ball, create a new ball.
-            {
-                this->ball_ = new OrxoBloxBall(this->center_->getContext());
+            //if (this->ball_ == nullptr) // If there is no ball, create a new ball.
+            //{
+            //    this->ball_ = new OrxoBloxBall(this->center_->getContext());
                 // Apply the template for the ball specified by the centerpoint.
-                this->ball_->addTemplate(this->center_->getBalltemplate());
-            }
+            //    this->ball_->addTemplate(this->center_->getBalltemplate());
+            //}
 
             // Attach the ball to the centerpoint and set the parameters as specified in the centerpoint, the ball is attached to.
-            this->center_->attach(this->ball_);
+            //this->center_->attach(this->ball_);
             //Startposition Ball
-            this->ball_->setPosition(0, 0, 40);
-            this->ball_->setFieldDimension(this->center_->getFieldDimension());
-            this->ball_->setSpeed(0);
-            this->ball_->setAccelerationFactor(this->center_->getBallAccelerationFactor());
+            //this->ball_->setPosition(0, 0, 40);
+            //this->ball_->setFieldDimension(this->center_->getFieldDimension());
+            //this->ball_->setSpeed(0);
+            //this->ball_->setAccelerationFactor(this->center_->getBallAccelerationFactor());
             
             level_=1;
@@ -286,12 +285,11 @@
         Starts the ball with some default speed.
     */
-    void OrxoBlox::startBall()
-    {
-        if (this->ball_ != nullptr && this->center_ != nullptr)
-            this->ball_->setSpeed(this->center_->getBallSpeed());
-    }
+    //void OrxoBlox::startBall()
+    //{
+    //    if (this->ball_ != nullptr && this->center_ != nullptr)
+    //        this->ball_->setSpeed(this->center_->getBallSpeed());
+    //}
      
-    OrxoBloxStones* OrxoBlox::CheckForCollision(OrxoBloxBall* Ball) {
-
+    /*OrxoBloxStones* OrxoBlox::CheckForCollision(OrxoBloxBall* Ball) {
         //orxout() << "Checking for Collision" << endl;
         Vector3 BallPosition = Ball->getPosition();
@@ -314,4 +312,5 @@
         return nullptr;
     }
+    */
 
     void OrxoBlox::playerPreSpawn(PlayerInfo* player)
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.h
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.h	(revision 12370)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.h	(revision 12371)
@@ -89,5 +89,5 @@
             OrxoBloxCenterpoint* getCenterpoint(void)
                 { return this->center_; }
-            OrxoBloxStones* CheckForCollision(OrxoBloxBall* Ball);
+            //OrxoBloxStones* CheckForCollision(OrxoBloxBall* Ball);
             virtual void addBots(unsigned int amount) override{} //<! overwrite function in order to bypass the addbots command
         protected:
@@ -95,9 +95,9 @@
             void startWall(void);
             void createWall(void);
-            void startBall(); //!< Starts the ball with some default speed.
+            //void startBall(); //!< Starts the ball with some default speed.
             void cleanup(); //!< Cleans up the Gametype by destroying the ball and the bats.
 
             WeakPtr<OrxoBloxCenterpoint> center_; //!< The playing field.
-            WeakPtr<OrxoBloxBall> ball_; //!< The OrxoBlox ball.
+            //WeakPtr<OrxoBloxBall> ball_; //!< The OrxoBlox ball.
             unsigned int level_;
 
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxPrereqs.h
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxPrereqs.h	(revision 12370)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxPrereqs.h	(revision 12371)
@@ -69,5 +69,5 @@
 {
     class OrxoBlox;
-    class OrxoBloxBall;
+    //class OrxoBloxBall;
     class OrxoBloxCenterpoint;
     class OrxoBloxWall;