Index: /code/branches/OrxoBlox_FS19/data/levels/includes/OrxoBloxWeapon.oxi
===================================================================
--- /code/branches/OrxoBlox_FS19/data/levels/includes/OrxoBloxWeapon.oxi	(revision 12377)
+++ /code/branches/OrxoBlox_FS19/data/levels/includes/OrxoBloxWeapon.oxi	(revision 12378)
@@ -1,9 +1,7 @@
     <weaponslots>
-      <WeaponSlot position="-9.2,2,-13" />
-      <WeaponSlot position=" 9.2,2,-13" />
+      <WeaponSlot position="0,0,0" />/>
     </weaponslots>
     <weaponsets>
       <WeaponSet firemode=0 />
-      <WeaponSet firemode=1 />
     </weaponsets>
     <weaponpacks>
@@ -11,11 +9,7 @@
         <links>
           <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
-          <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
         </links>
         <Weapon>
           <BallGun mode=0 munitionpershot=0 delay=0.125 damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" projectileMesh="laserbeam.mesh" />
-        </Weapon>
-        <Weapon>
-          <BallGun mode=0 munitionpershot=0 delay=0     damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" projectileMesh="laserbeam.mesh" />
         </Weapon>
       </WeaponPack>
Index: /code/branches/OrxoBlox_FS19/data/levels/orxoblox.oxw
===================================================================
--- /code/branches/OrxoBlox_FS19/data/levels/orxoblox.oxw	(revision 12377)
+++ /code/branches/OrxoBlox_FS19/data/levels/orxoblox.oxw	(revision 12378)
@@ -55,4 +55,7 @@
         <Model position="0,0,0" mesh="cube_orange.mesh" scale=4.3 />
       </attached>
+      <collisionShapes>
+                <BoxCollisionShape position="0,0,0" halfExtents="4.5, 4.5, 4.5" />
+      </collisionShapes>
     </OrxoBloxStones>
   </Template>
Index: /code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.cc
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.cc	(revision 12377)
+++ /code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.cc	(revision 12378)
@@ -104,9 +104,4 @@
         Vector3 myPosition = otherObject->getPosition();
         btVector3 positionOtherObject = contactPoint.getPositionWorldOnA();
-        //orxout() << "About to Bounce >D" << endl;
-        //if (positionOtherObject.y < 0) {
-            //this.destroy()
-        //}S
-        //else {
         
             int distance_X = positionOtherObject.getX() - myPosition.x;
@@ -143,14 +138,11 @@
     bool BallProjectile::processCollision(WorldEntity* otherObject, btManifoldPoint& contactPoint, const btCollisionShape* cs)
     {
-
-        //orxout() << "wanna bounce..." << endl;
         bool result = BasicProjectile::processCollision(otherObject, contactPoint, cs);
         if (result == true) {
             if (otherObject->isA(Class(OrxoBloxStones))) {
                 Bounce(otherObject, contactPoint, cs);
-            }
-        }
-        //orxout() << "BOUNCED!" << endl;
-
+                orxout() << "BOUNCED!" << endl;
+            }
+        }
         return result;
     }
@@ -289,4 +281,11 @@
     }
 
+    void BallProjectile::destroyObject(void)
+    {
+        if(GameMode::isMaster()) {
+        }
+    }
+
+
 
 }
Index: /code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.h
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.h	(revision 12377)
+++ /code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BallProjectile.h	(revision 12378)
@@ -65,5 +65,5 @@
 
         private:
-
+            void destroyObject() override;
             void registerVariables();
             void changeTexture();
Index: /code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BasicProjectile.cc
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BasicProjectile.cc	(revision 12377)
+++ /code/branches/OrxoBlox_FS19/src/modules/weapons/projectiles/BasicProjectile.cc	(revision 12378)
@@ -85,5 +85,4 @@
     bool BasicProjectile::processCollision(WorldEntity* otherObject, btManifoldPoint& contactPoint, const btCollisionShape* cs)
     {
-        //orxout() << "OMG A COLLISION" << endl;
         if (!this->bDestroy_ && GameMode::isMaster())
         {
@@ -93,4 +92,5 @@
             if (getDestroyAfterCollision())
             {
+                orxout() << "Destroy that stuff" << endl;
                 this->bDestroy_ = true; // If something is hit, the object is destroyed and can't hit something else.
                                         // The projectile is destroyed by its tick()-function (in the following tick).
@@ -173,6 +173,8 @@
     void BasicProjectile::destroyCheck(void)
     {
-        if(GameMode::isMaster() && this->bDestroy_)
+        if(GameMode::isMaster() && this->bDestroy_) {
+            orxout() << "Set true, smhow" << endl;
             this->destroy();
+        }
     }
 
@@ -183,6 +185,8 @@
     void BasicProjectile::destroyObject(void)
     {
-        if(GameMode::isMaster())
+        if(GameMode::isMaster()) {
+            orxout() << "Deleted myself" << endl;
             this->destroy();
+        }
     }
 }
Index: /code/branches/OrxoBlox_FS19/src/modules/weapons/weaponmodes/BallGun.cc
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/weapons/weaponmodes/BallGun.cc	(revision 12377)
+++ /code/branches/OrxoBlox_FS19/src/modules/weapons/weaponmodes/BallGun.cc	(revision 12378)
@@ -60,5 +60,5 @@
         this->reloadTime_ = 0.25f;
         this->damage_ = 0.0f; //default 15
-        this->speed_ = 50;
+        this->speed_ = 100;
         this->delay_ = 100;
         this->setMunitionName("BallMunition");
@@ -104,5 +104,4 @@
     void BallGun::fire()
     {
-        orxout() << "fire" << endl;
         this->delayTimer_.startTimer();
     }
@@ -115,5 +114,4 @@
     {
         assert( this->getWeapon() && this->getWeapon()->getWeaponPack() && this->getWeapon()->getWeaponPack()->getWeaponSystem() && this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn() );
-        orxout() << "SHOT!" << endl;
         // Create the projectile.
         Projectile* projectile = new BallProjectile(this->getContext());