Index: code/branches/Presentation_FS19/data/levels/templates/spaceshipGhost.oxt
===================================================================
--- code/branches/Presentation_FS19/data/levels/templates/spaceshipGhost.oxt	(revision 12409)
+++ code/branches/Presentation_FS19/data/levels/templates/spaceshipGhost.oxt	(revision 12410)
@@ -7,26 +7,17 @@
    explosionchunks        = 6
 
-   health            = 30
-   maxhealth         = 50
-   initialhealth     = 30
+   health            = 100
+   maxhealth         = 100
+   initialhealth     = 100
+  
 
-   shieldhealth        = 100
-   initialshieldhealth = 100
-   maxshieldhealth     = 150
-   shieldabsorption    = 0.9
-   shieldrechargerate  = 3
-   shieldrechargewaittime = 0.0
-
-   primaryThrust     = 600
-   auxilaryThrust    = 30
+   primaryThrust     = 25
+   auxilaryThrust    = 25
    rotationThrust    = 25
 
    lift = 1;
-   stallSpeed = 220;
+   stallSpeed = 100;
 
-   boostPower            = 30
-   boostPowerRate        = 1
-   boostRate             = 5
-   boostCooldownDuration = 15
+
 
    shakeFrequency = 20
@@ -45,10 +36,5 @@
     </attached>
     <collisionShapes>
-      <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
-      <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
-      <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
-      <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
-      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
-      <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
+      <BoxCollisionShape position="0,-2 ,7" halfExtents="7, 4 ,30" />
     </collisionShapes>
     <explosion >
@@ -63,8 +49,8 @@
       <ExplosionPart mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
     </explosion>
-<?lua
+<!-- <?lua
   include("../includes/weaponSettingsGhost.oxi")
 ?>
-  </SpaceShip>
+ -->  </SpaceShip>
 </Template>
 
@@ -83,8 +69,8 @@
    boostfactor    = 2
 
-   speedfront     = 600
+   speedfront     =  50
    speedback      =  50
    speedleftright =  50
-   speedupdown    =  50
+   speedupdown    =  0
 
    accelerationfront     = 1000
@@ -92,5 +78,5 @@
    accelerationback      =  100
    accelerationleftright =  100
-   accelerationupdown    =  100
+   accelerationupdown    =  0
   >
     <EffectContainer condition="normal or boost">
Index: code/branches/Presentation_FS19/data/levels/templates/spaceshipHover.oxt
===================================================================
--- code/branches/Presentation_FS19/data/levels/templates/spaceshipHover.oxt	(revision 12409)
+++ code/branches/Presentation_FS19/data/levels/templates/spaceshipHover.oxt	(revision 12410)
@@ -1,5 +1,5 @@
 <Template name=spaceshiphover>
   <SpaceShip
-   hudtemplate            = spaceshiphoverhud
+   hudtemplate            = spaceshiphud
    camerapositiontemplate = spaceshiphovercameras
    spawnparticlesource    = "Orxonox/fairytwirl"
@@ -20,5 +20,5 @@
    primaryThrust     = 200
    auxilaryThrust    = 30
-   rotationThrust    = 25
+   rotationThrust    = 20
 
    jumpBoost = 90
@@ -27,5 +27,5 @@
    stallSpeed = 220;
 
-   boostPower            = 10
+   boostPower            = 30
    boostPowerRate        = 1
    boostRate             = 5
@@ -36,4 +36,7 @@
    linearDamping     = 0.2
    angularDamping    = 0.9999999
+   collisiondamage = 20
+   enablecollisiondamage = true
+
   >
     <engines>
@@ -79,14 +82,14 @@
    boostfactor    = 2
 
-   speedfront     = 90
-   speedback      =  40
-   speedleftright =  40
-   speedupdown    =  40
+   speedfront     =   90
+   speedback      =   90
+   speedleftright =   90
+   speedupdown    =   0
 
-   accelerationfront     = 500
-   accelerationbrake     = 500
-   accelerationback      =  125
-   accelerationleftright =  125
-   accelerationupdown    =  125
+   accelerationfront     =  500
+   accelerationbrake     =  500
+   accelerationback      =  500
+   accelerationleftright =  500
+   accelerationupdown    =  0
   >
     <EffectContainer condition="not idle">
Index: code/branches/Presentation_FS19/data/levels/templates/spaceshipzombie.oxt
===================================================================
--- code/branches/Presentation_FS19/data/levels/templates/spaceshipzombie.oxt	(revision 12410)
+++ code/branches/Presentation_FS19/data/levels/templates/spaceshipzombie.oxt	(revision 12410)
@@ -0,0 +1,126 @@
+<Template name=spaceshipzombie>
+  <SpaceShip
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshiphovercameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 6
+
+   health            = 200
+   maxhealth         = 200
+   initialhealth     = 50
+
+   shieldhealth        = 25
+   initialshieldhealth = 0
+   maxshieldhealth     = 40
+   shieldabsorption    = 0.6
+   reloadrate          = 2
+   reloadwaittime      = 0.5
+
+   primaryThrust     = 200
+   auxilaryThrust    = 30
+   rotationThrust    = 20
+
+   jumpBoost = 0
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 30
+   boostPowerRate        = 1
+   boostRate             = 5
+   boostCooldownDuration = 10
+
+   collisionType     = "dynamic"
+   mass              = 4000
+   linearDamping     = 0
+   angularDamping    = 0
+
+
+  >
+    <engines>
+      <MultiStateEngine position=" 0, 0, 0" template=spaceshiphoverengine />
+    </engines>
+  <attached>
+      <Model position="0,0,0" yaw=90 pitch=0 roll=0 scale=4 mesh="escortShip.mesh" />
+      <Model position="0,0,0" yaw=180 pitch=90 roll=0 scale=4 mesh="escortWeapon.mesh" />
+      
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0    ,0 ,  3" halfExtents="10,   4,8" />
+      <BoxCollisionShape position="12.6 ,-2,  3" halfExtents="2.8,2.8,11"/>
+      <BoxCollisionShape position="-12.6,-2,  3" halfExtents="2.8,2.8,11"/>
+      <BoxCollisionShape position="0,     0,-12" halfExtents="4  , 4 ,7" />
+    </collisionShapes>
+    <explosion >
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
+
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="Orxonox/explosion2b" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+    </explosion>
+
+<!-- <?lua
+  include("../includes/weaponSettingsHover.oxi")
+?> -->
+    <controller>
+      <WaypointPatrolController alertnessradius=300000 attackradius=1 team=1 >
+         <waypoints>
+          <Model mesh="cube.mesh" scale=0 position="15500,15500,15500" />
+
+          </waypoints>
+      
+      </WaypointPatrolController>
+
+    </controller>
+
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshiphovercameras defaults=0>
+  <SpaceShip>
+    <camerapositions>
+      <CameraPosition position="0,8, 5" drag=true mouselook=true />
+      <CameraPosition position="0,8,5" yaw="180" drag=true mouselook=true />
+    </camerapositions>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshiphoverengine baseclass=Engine>
+  <MultiStateEngine
+   boostfactor    = 2
+
+   speedfront     =   80
+   speedback      =   80
+   speedleftright =   80
+   speedupdown    =   0
+
+   accelerationfront     =  500
+   accelerationbrake     =  500
+   accelerationback      =  500
+   accelerationleftright =  500
+   accelerationupdown    =  0
+  >
+    <EffectContainer condition="not idle">
+      <FadingBillboard mainstate=activity active=false scale=0.02 position=" 1.3, 0, 15" colour="1.0, 0.65, 0.2, 1.0" material="Examples/FlareZwei" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.02 position=" 0, 0, 15" colour="1.0, 0.65, 0.2, 1.0" material="Examples/FlareZwei" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.02 position="-1.3, 0, 15" colour="1.0, 0.65, 0.2, 1.0" material="Examples/FlareZwei" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+    <EffectContainer condition="normal or boost">
+      <Backlight mainstate=activity active=false scale=0.8 name=bltest position=" 0, 0,  40" colour="1.0, 0.65, 0.2, 1.0" width=10 length=800 lifetime=1 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+     
+    </EffectContainer>
+    <EffectContainer condition="boost">
+      <Backlight mainstate=activity active=false scale=0.8 name=bltest position="  0, 0, 40" colour="1.0, 0.65, 0.2, 1.0" width=10 length=1600 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+    </EffectContainer>
+    <EffectContainer condition="brake">
+      <FadingBillboard mainstate=activity active=false scale=0.5 position=" 0, 0, 40" colour="0.8, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      
+    </EffectContainer>
+  </MultiStateEngine>
+</Template>
+