Index: code/branches/Presentation_FS19/data/levels/templates/spaceshipEscort.oxt
===================================================================
--- code/branches/Presentation_FS19/data/levels/templates/spaceshipEscort.oxt	(revision 12410)
+++ code/branches/Presentation_FS19/data/levels/templates/spaceshipEscort.oxt	(revision 12411)
@@ -44,5 +44,5 @@
     <attached>
       <Model position="0,0,0" yaw=90 pitch=0 roll=0 scale=4 mesh="escortShip.mesh" />
-      <Model position="0,0,0" yaw=180 pitch=90 roll=0 scale=4 mesh="escortWeapon.mesh" />
+      <Model position="50,0,0" yaw=180 pitch=90 roll=0 scale=4 mesh="escortWeapon.mesh" />
 <!--Model mesh="cube.mesh" mass=10 position="0,0,3" scale3D="10,4,8" />
 <Model mesh="cube.mesh" mass=10 position="12.6,-2,3" scale3D="2.8,2.8,11" />
Index: code/branches/Presentation_FS19/data/levels/templates/spaceshipOrxoBlox.oxt
===================================================================
--- code/branches/Presentation_FS19/data/levels/templates/spaceshipOrxoBlox.oxt	(revision 12411)
+++ code/branches/Presentation_FS19/data/levels/templates/spaceshipOrxoBlox.oxt	(revision 12411)
@@ -0,0 +1,105 @@
+<Template name=spaceshipOrxoBlox>
+  <OrxoBloxShip
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipescortcameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 4
+
+   
+   shieldhealth        = 20
+   initialshieldhealth = 20
+   maxshieldhealth     = 20
+   shieldabsorption    = 0.1
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
+
+   primaryThrust     = 150
+   auxilaryThrust    = 30
+   rotationThrust    = 100
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 20
+   boostPowerRate        = 1
+   boostRate             = 5
+   boostCooldownDuration = 10
+
+   shakeFrequency = 15
+   shakeAmplitude = 6
+
+   collisionType     = "dynamic"
+   mass              = 4200000
+   linearDamping     = 0.9
+   angularDamping    = 0.9999999
+
+   collisiondamage = 100
+   enablecollisiondamage = true
+   
+  >
+    <engines>
+      <MultiStateEngine position=" 7.6, 0, 6" template=spaceshipOrxoBloxengine />
+      <MultiStateEngine position="-7.6, 0, 0" template=spaceshipOrxoBloxengine />
+    </engines>
+    <attached>
+      <Model position="0,0,0" direction="0,0,0" roll=0 scale=1 mesh="escortShip.mesh" />
+      <Model position="0,0,0" direction="0,0,0" roll=0 scale=1 mesh="escortWeapon.mesh" />
+<!--Model mesh="cube.mesh" mass=10 position="0,0,3" scale3D="10,4,8" />
+<Model mesh="cube.mesh" mass=10 position="12.6,-2,3" scale3D="2.8,2.8,11" />
+<Model mesh="cube.mesh" mass=10 position="-12.6,-2,3" scale3D="2.8,2.8,11" />
+<Model mesh="cube.mesh" mass=10 position="0,0,-12" scale3D="4,4,7" /-->
+    </attached>
+    <explosion >
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
+
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="Orxonox/explosion2b" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+    </explosion>
+<?lua
+  include("../includes/OrxoBloxWeapon.oxi")
+?>
+  </OrxoBloxShip>
+</Template>
+
+<Template name=spaceshipescortcameras defaults=0>
+  <OrxoBloxShip>
+    <camerapositions>
+    <CameraPosition position="0,100,0" pitch=-90 absolute=true drag = false mouselook=true/>
+    <CameraPosition position="0,0,0" drag=true mouselook=true />
+    <CameraPosition position="0,40,125" drag=true mouselook=true />
+    <CameraPosition position="0,30, 90" drag=true mouselook=true />
+    </camerapositions>
+  </OrxoBloxShip>
+</Template>
+
+<Template name=spaceshipOrxoBloxengine baseclass=MultiStateEngine>
+  <MultiStateEngine
+   boostfactor    = 2.2
+
+
+   defEngineSndNormal = "sounds/Engine_low.ogg"
+   defEngineSndBoost = "sounds/Engine_high.ogg"
+  >
+
+
+  </MultiStateEngine>
+</Template>
+
+
+<Template name=OrxoBloxstone>
+  <OrxoBloxStones collisionType=dynamic>
+    <attached>
+      <Model position="0,0,0" mesh="CuboidBody.mesh" scale3D="4.5,4.5,4.5" />
+      <Model position="0,0,0" mesh="cube_orange.mesh" scale=4.3 />
+    </attached>
+    <collisionShapes> 
+          <BoxCollisionShape position="0,0,0" halfExtents="4,4,4" /> 
+    </collisionShapes> 
+  </OrxoBloxStones>
+</Template>